curl --request GET \
--url https://sandbox.thredfi.com/v1/platform/businesses/{business_id}/reports/profit-and-loss/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.thredfi.com/v1/platform/businesses/{business_id}/reports/profit-and-loss/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.thredfi.com/v1/platform/businesses/{business_id}/reports/profit-and-loss/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"currency": "<string>",
"detail_level": "summary",
"summary": {
"net_revenue_cents": 123,
"total_operating_income_cents": 123,
"gross_profit_cents": 123,
"total_operating_expenses_cents": 123,
"operating_profit_cents": 123,
"profit_before_tax_cents": 123,
"net_profit_cents": 123
},
"revenue": {
"display_name": "<string>",
"total_cents": 123,
"line_items": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_code": "<string>",
"account_name": "<string>",
"value_cents": 123
}
]
},
"other_operating_income": {
"display_name": "<string>",
"total_cents": 123,
"line_items": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_code": "<string>",
"account_name": "<string>",
"value_cents": 123
}
]
},
"direct_costs": {
"display_name": "<string>",
"total_cents": 123,
"line_items": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_code": "<string>",
"account_name": "<string>",
"value_cents": 123
}
]
},
"operating_expenses": {
"display_name": "<string>",
"total_cents": 123,
"line_items": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_code": "<string>",
"account_name": "<string>",
"value_cents": 123
}
]
},
"finance_income": {
"display_name": "<string>",
"total_cents": 123,
"line_items": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_code": "<string>",
"account_name": "<string>",
"value_cents": 123
}
]
},
"finance_costs": {
"display_name": "<string>",
"total_cents": 123,
"line_items": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_code": "<string>",
"account_name": "<string>",
"value_cents": 123
}
]
},
"income_tax": {
"display_name": "<string>",
"total_cents": 123,
"line_items": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_code": "<string>",
"account_name": "<string>",
"value_cents": 123
}
]
}
}
]{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}Get profit and loss report
Retrieve a Profit and Loss report for a business within a date range.
Important: Both posted and draft journal entries are included in the calculations.
Summary metrics returned:
- net_revenue_cents: Sum of Revenue subtype accounts
- total_operating_income_cents: Net revenue + Other Operating Income
- gross_profit_cents: Total operating income - Direct Costs
- operating_profit_cents: Gross profit - Operating Expenses
- profit_before_tax_cents: Operating profit + Finance Income - Finance Costs
- net_profit_cents: Profit before tax - Income Tax
Detail levels:
summary(default): Returns only summary metricsdetailed: Returns summary + line item breakdown by AccountSubtype
All values are in cents. Currency is the business’s base currency.
Authorizations
Partner-level JWT token (unscoped). Token payload includes partner_id. Business access is validated via partner ownership. Format: Bearer <your-jwt-token>
Use this for: Multi-business operations where the business_id is specified in the URL and partner has access to multiple businesses.
Path Parameters
Business UUID
Query Parameters
Level of detail: 'summary' or 'detailed'
detailed, summary Report period end date (YYYY-MM-DD)
Report period start date (YYYY-MM-DD)
Response
Business UUID
Report period start
Report period end
Business base currency
'summary' or 'detailed'
summary- summarydetailed- detailed
summary, detailed Calculated P&L totals
Show child attributes
Show child attributes
Grouped accounts by AccountSubtype.
- display_name: From AccountSubtype.label
- total_cents: Sum of all line items
- line_items: Individual accounts with this subtype
Show child attributes
Show child attributes
Grouped accounts by AccountSubtype.
- display_name: From AccountSubtype.label
- total_cents: Sum of all line items
- line_items: Individual accounts with this subtype
Show child attributes
Show child attributes
Grouped accounts by AccountSubtype.
- display_name: From AccountSubtype.label
- total_cents: Sum of all line items
- line_items: Individual accounts with this subtype
Show child attributes
Show child attributes
Grouped accounts by AccountSubtype.
- display_name: From AccountSubtype.label
- total_cents: Sum of all line items
- line_items: Individual accounts with this subtype
Show child attributes
Show child attributes
Grouped accounts by AccountSubtype.
- display_name: From AccountSubtype.label
- total_cents: Sum of all line items
- line_items: Individual accounts with this subtype
Show child attributes
Show child attributes
Grouped accounts by AccountSubtype.
- display_name: From AccountSubtype.label
- total_cents: Sum of all line items
- line_items: Individual accounts with this subtype
Show child attributes
Show child attributes
Grouped accounts by AccountSubtype.
- display_name: From AccountSubtype.label
- total_cents: Sum of all line items
- line_items: Individual accounts with this subtype
Show child attributes
Show child attributes
Was this page helpful?